Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_Protocol_Factory Class Reference

`#include <Protocol_Factory.h>`

Inheritance diagram for TAO_Protocol_Factory

[legend]
Collaboration diagram for TAO_Protocol_Factory:

[legend]
List of all members.

## Public Methods
| TAO_Protocol_Factory (CORBA::ULong tag)
virtual | ~TAO_Protocol_Factory (void)
virtual int | init (int argc, char *argv[])
| Initialization hook.
CORBA::ULong | tag (void) const
| The protocol tag, each concrete class will have a specific tag value.
virtual int | match_prefix (const ACE_CString &prefix)
| Verify prefix is a match.
virtual const char* | prefix (void) const
| Returns the prefix used by the protocol.
virtual char | options_delimiter (void) const
| Return the character used to mark where an endpoint ends and where its options begin.
virtual TAO_Acceptor* | make_acceptor (void)
| Create an acceptor.
virtual TAO_Connector* | make_connector (void)
| Create a connector.
virtual int | requires_explicit_endpoint (void) const = 0
## Private Attributes
CORBA::ULong | tag_
| IOP protocol tag.

## Constructor & Destructor Documentation

TAO_Protocol_Factory::TAO_Protocol_Factory ( | CORBA::ULong tag )

TAO_Protocol_Factory::~TAO_Protocol_Factory ( | void )`[virtual]`

## Member Function Documentation

int TAO_Protocol_Factory::init ( | int argc,
| char * argv[] )`[virtual]`

| Initialization hook. Reimplemented in TAO_IIOP_Protocol_Factory, and TAO_IIOP_Lite_Protocol_Factory.

TAO_Acceptor * TAO_Protocol_Factory::make_acceptor ( | void )`[virtual]`

| Create an acceptor. Reimplemented in TAO_IIOP_Protocol_Factory, and TAO_IIOP_Lite_Protocol_Factory.

TAO_Connector * TAO_Protocol_Factory::make_connector ( | void )`[virtual]`

| Create a connector. Reimplemented in TAO_IIOP_Protocol_Factory, and TAO_IIOP_Lite_Protocol_Factory.

int TAO_Protocol_Factory::match_prefix ( | const ACE_CString & prefix )`[virtual]`

| Verify prefix is a match. Reimplemented in TAO_IIOP_Protocol_Factory, and TAO_IIOP_Lite_Protocol_Factory.

char TAO_Protocol_Factory::options_delimiter ( | void ) const`[virtual]`

| Return the character used to mark where an endpoint ends and where its options begin. Reimplemented in TAO_IIOP_Protocol_Factory, and TAO_IIOP_Lite_Protocol_Factory.

const char * TAO_Protocol_Factory::prefix ( | void ) const`[virtual]`

| Returns the prefix used by the protocol. Reimplemented in TAO_IIOP_Protocol_Factory, and TAO_IIOP_Lite_Protocol_Factory.

int TAO_Protocol_Factory::requires_explicit_endpoint ( | void ) const`[pure virtual]`

| Some protocols should not create a default endpoint unless the user specifies a -ORBEndpoint option. For example, local IPC (aka UNIX domain sockets) is unable to remove the rendesvouz point if the server crashes. For those protocols is better to create the endpoint only if the user requests one. Reimplemented in TAO_IIOP_Protocol_Factory, and TAO_IIOP_Lite_Protocol_Factory.

CORBA::ULong TAO_Protocol_Factory::tag ( | void ) const

| The protocol tag, each concrete class will have a specific tag value.

## Member Data Documentation

CORBA::ULong TAO_Protocol_Factory::tag_`[private]`

| IOP protocol tag.

The documentation for this class was generated from the following files:

- Protocol_Factory.h
- Protocol_Factory.cpp